function exists = check_track_exist( sDir, initFrame, initX, initY )
% CHECK_TRACK_EXIST
% returns true if the output file exists

filenameFormat = 'frame%.6d_x%.5d_y%.5d.mat';
filename = sprintf(filenameFormat, [initFrame, initX, initY] );

if exist([sDir, '/', filename], 'file')
    exists = true;
else
    exists = false;
end

end

