function save_track( sDir, obj )
%SAVE_TRACK

filenameFormat = 'frame%.6d_x%.5d_y%.5d.mat';
filename = sprintf(filenameFormat, [obj.initPos(3), obj.initPos(1:2)] );

track = struct;
track.initPos = obj.initPos;
track.prediction = obj.prediction(1:obj.timeOfLife,:);
track.appMod = obj.appModel;

save( [sDir, '/', filename], 'track');
clear track

try
fileattrib([sDir, '/', filename], '+w', 'g', 's');
end

end

