function subdirs = get_subdirs( directory_path )
%GET_SUBDIRS Get subfolders' names, excludin '.' and '..'

% Get content of the folder
y = dir(directory_path);

% Keep only directories
mask_dir = cell(size(y));
[mask_dir{:}] = y.isdir;
y = y( cell2mat(mask_dir) );

% From the full struc, keep only the field 'names'
names = cell(size(y));
[names{:}] = y.name;

% Get rid of '.' and '..'
mask_name = ~(strcmp('.', names) + strcmp('..', names));
subdirs = names(mask_name);

end