function MotionModel = init_motion_model( sMotionType, noiseLevel )
%INIT_MOTION_MODEL 
MotionModel = [];
if strcmp(sMotionType, 'fwd')
    MotionModel = motion_models.Fwd(noiseLevel);
elseif strcmp(sMotionType, 'bwd')
    MotionModel = motion_models.Bwd(noiseLevel);
elseif strcmp(sMotionType, 'brown')
    MotionModel = motion_models.Brown(noiseLevel);
elseif strcmp(sMotionType, 'const')
    MotionModel = motion_models.ConstVel(noiseLevel);
elseif strcmp(sMotionType, 'tkl')
    MotionModel = motion_models.TruckL(noiseLevel);
elseif strcmp(sMotionType, 'tkr')
    MotionModel = motion_models.TruckR(noiseLevel);
end

end

