function track_list = load_track_list( tracksDir, patternList )
%LOAD_TRACK_LIST Summary of this function goes here
%   Detailed explanation goes here

tracksFiles = {};
num = 1;
for iPat = 1:numel(patternList)
    theseFiles = file_manip.get_matching_files(tracksDir,patternList{iPat}, 'noR');
    ln = size(theseFiles,1);
    tracksFiles(num:(num+ln-1),:) = theseFiles;
    num = num + ln;
end


if size(tracksFiles,1) == 0
    return
end

% Read first
tmpStruct = load([tracksDir,'/',tracksFiles{1,2}], 'track');
track_list = struct(tmpStruct.track);
for iFile=2:size(tracksFiles,1)
    tmpStruct = load([tracksDir,'/',tracksFiles{iFile,2}], 'track');
    track_list(iFile,1) = tmpStruct.track;
end

end

